For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
      • POSTCreates a new project or private task.
      • POSTInvites a user by email and assigns them to a task.
      • POSTEdits multiple tasks using the specified operation.
      • POSTChanges the base type for multiple tasks.
      • POSTChanges the lists of tasks.
      • POSTChanges statuses of tasks.
      • POSTChanges the parent task and the order of subtasks.
      • POSTConvert subtasks to a parent task.
      • POSTChanges the type of work for a batch of tasks.
      • POSTDeletes tasks and optionally related time entries.
      • GETReturns the task with the specified key.
      • POSTSets the priority flag for a task.
      • GETReturns the task with the specified id.
      • PUTUpdates the task with the specified id.
      • POSTCreates a copy of the specified task.
      • POSTDeletes the recurrence rule for a task.
      • GETGets the recurrence rule of a task.
      • POSTAssigns a list of users to a task.
      • POSTModifies planned efforts for the given task assignments.
      • POSTAdds or updates a recurrence rule for a task.
      • POSTUpdates the order of a task within its list.
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceTasks

Gets the recurrence rule of a task.

GET
https://api.awork.com/api/v1/tasks/:taskId/recurrency
GET
/api/v1/tasks/:taskId/recurrency
$curl https://api.awork.com/api/v1/tasks/taskId/recurrency \
> -H "Authorization: Bearer <token>"
1{
2 "recurrencyRule": "\"0 0 1 * * ?\"",
3 "recurrencyInterval": 1,
4 "relativeDueOn": 3600,
5 "recurrencyStartOn": "2021-03-15T11:00:00Z",
6 "recurrencyTimezone": "Europe/Berlin"
7}
<Check title="Required Permissions" icon="key">Any authenticated user.</Check>
Was this page helpful?
Previous

Assigns a list of users to a task.

Next
Built with
Required Permissions
Any authenticated user.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

taskIdstringRequiredformat: "uuid"
The id of the task.

Response

OK
recurrencyRulestring or null

The recurrence rule as cron expression. We support all expressions which cronos supports (https://github.com/HangfireIO/Cronos). The number of occurrences is limited to 24 a day.

recurrencyIntervalinteger or null
The interval of the executed expression. If the value is 3, only the third time of the expression the recurrence is actually executed.
relativeDueOnlong or null
The relative due date and time of the task created from this recurrence rule, in seconds, from the moment of creating the task by a recurrence rule.
recurrencyStartOnstring or nullformat: "date-time"
DateTime when recurring task creation will start, considering the set Recurrency Rule and Recurrency Interval.
recurrencyTimezonestring or null
The timezone of the Recurrency Rule.

Errors

401
Unauthorized Error
404
Not Found Error